# Generated by Django 2.1.3 on 2020-06-16 09:06

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0012_auto_20200605_1553'),
    ]

    operations = [
        migrations.CreateModel(
            name='BuildingContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('last_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='node')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalBuildingContact',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('last_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik', verbose_name='node')),
            ],
            options={
                'verbose_name': 'historical building contact',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
